Renew a command lease or acknowledge its result
Renew a command lease or acknowledge its result. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.
Full-key operation
Requires a full key; a search key or a browser key gets a 403. See Keys and credits.
Renew a command lease or acknowledge its result. Commands are a fixed set of CMS actions; no remote code or arbitrary parameters can be executed.
Path Parameters
commandId*string
Length
1 <= length <= 120Header Parameters
X-AACSEARCH-INSTALLATION-KEY*string
Length
1 <= length <= 512X-AACSEARCH-INSTALLATION-ORIGIN*string
Length
1 <= length <= 512Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/cms/runtime/commands/string" \ -H "X-AACSEARCH-INSTALLATION-KEY: string" \ -H "X-AACSEARCH-INSTALLATION-ORIGIN: string" \ -H "Content-Type: application/json" \ -d '{ "lease_token": "string", "status": "running", "progress": 0 }'{ "id": "string", "installation_id": "string", "kind": "reindex", "store_id": "string", "source_id": "string", "status": "queued", "progress": 0, "attempts": 0, "lease_expires_at": 0, "error": "string", "created_at": 0, "updated_at": 0}